nV News Forums

 
 

nV News Forums (http://www.nvnews.net/vbulletin/index.php)
-   General Linux (http://www.nvnews.net/vbulletin/forumdisplay.php?f=27)
-   -   RedHat v9.0 + NForce2 + ATI 9700 Pro (http://www.nvnews.net/vbulletin/showthread.php?t=13304)

mirda 06-13-03 09:09 AM

RedHat v9.0 + NForce2 + ATI 9700 Pro
 
Hi all,

This is my problem: Can't get AGPGART to work on the default kernel that ships with RedHat 9. (2.4.20-8).

Nvidia finally released new NForce drivers for RedHat 9, which do include the source-patch for agpgart to work on NForce chipsets.... but I can't get it to work. Here is what I have done:

1. Install RedHat 9 with kernel source of course.
2. Downloaded NForce drivers for RedHat 9. I chose the source rpm file.
3. rpmbuild --rebuild nvidia.1.0.261blabla.rpm. Rebuilding work great.
4. rpm -ivh nvidia_rebuilt_package.rpm. VIOLA! network and sound works great.
5. So now I want my ATI Radeon 9700 Pro to work in accelerated mode in X-Windows.
6. Since RedHat comes with kernel 2.4.20-8, I figured that the supplied kernelpatch, which is stated to work on 2.4.20 kernel, should work fine.
7. copied the agpgart kernelpatch to the source-dir. Then I did: patch -p1 < kernelpatch.diff. Patching reports Successful on ALL accounts.
8. make menuconfig, include "agpgart" and "nvidia chipset support".
9. make dep
10. make bzImage
11. make modules..... BOOOOM!!! error error. As soon as the module compilation gets to compiling the newly patched agpgart code, it fails in several errors and then exits, leaving me without a working agpgart module.

Can't get further than this..... Anyone got it working and how? Anyone have any ideas of thing to try?

Thanks in advance.

carltao 10-02-03 12:31 PM

it seems to be no serious problem.
Just comment the line, and the error will be gone.
But I don't know whether it works.:confused:


All times are GMT -5. The time now is 07:37 AM.

Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.